﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;

using Microtoolskit.Hardware.Displays;

namespace NetduinoThermoGHI
{
    public class Program
    {
        public static void Main()
        {
            // Constantes
            const UInt16 delay = 1000;   // En ms

            // Variables
            var N = 0;
            var Temperature = 0.0;

            // Configuration des ports d'E/S
            // http://msdn.microsoft.com/en-us/library/hh421132.aspx (Description de la classe AnalogInput)
            AnalogInput Thermometre = new AnalogInput(Cpu.AnalogChannel.ANALOG_5); // Connecté sur I5 Tinkerkit 
            // http://webge.github.io/ELCD162/ (Description de la classe ELCD162) 
            ELCD162 Lcd = new ELCD162(); // Connecté sur O5 Tinkerkit

            Lcd.Init(); Lcd.ClearScreen(); Lcd.CursorOff();
            //Thermometre.Scale = 82.5; Thermometre.Offset = -25;

            while (true)
            {
                N = Thermometre.ReadRaw();
                Temperature = 0.02 * N - 25;
                //Temperature = Thermometre.Read();
                Debug.Print("N=" + N + "   " + "Temp=" + Temperature.ToString("F1")+"degC");
                Lcd.ClearScreen();
                Lcd.PutString("T=" + Temperature.ToString("F1") + "degC");
                Thread.Sleep(delay);
            }
        }
    }
}
